org.apache.hadoop.mapreduce.lib.input

## Class SequenceFileInputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
    - - org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<K,V>

- Direct Known Subclasses:
    SequenceFileAsBinaryInputFormat, SequenceFileAsTextInputFormat, SequenceFileInputFilter

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class SequenceFileInputFormat<K,V>
      extends FileInputFormat<K,V>

  An `InputFormat` for `SequenceFile`s.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceFileInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<K,V>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` Create a record reader for a given split.
    `protected long` | `getFormatMinSplitSize()` Get the lower bound on split size imposed by the format.
    `protected List<FileStatus>` | `listStatus(JobContext job)` List input directories.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceFileInputFormat

          public SequenceFileInputFormat()

  - ### Method Detail

    - #### createRecordReader

          public RecordReader<K,V> createRecordReader(InputSplit split,
                                                      TaskAttemptContext context)
                                               throws IOException

      Description copied from class: `InputFormat`
      Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.
      Specified by:
        `createRecordReader` in class `InputFormat<K,V>`
      Parameters:
        `split` - the split to be read
        `context` - the information about the task
      Returns:
        a new record reader
      Throws:
        `IOException`

    - #### getFormatMinSplitSize

          protected long getFormatMinSplitSize()

      Description copied from class: `FileInputFormat`
      Get the lower bound on split size imposed by the format.
      Overrides:
        `getFormatMinSplitSize` in class `FileInputFormat<K,V>`
      Returns:
        the number of bytes of the minimal split for this format

    - #### listStatus

          protected List<FileStatus> listStatus(JobContext job)
                                         throws IOException

      Description copied from class: `FileInputFormat`
      List input directories. Subclasses may override to, e.g., select only files matching a regular expression.
      Overrides:
        `listStatus` in class `FileInputFormat<K,V>`
      Parameters:
        `job` - the job to list input paths for
      Returns:
        array of FileStatus objects
      Throws:
        `IOException` - if zero items.

Copyright © 2022 Apache Software Foundation. All rights reserved.